com.aliyun.player

## Enum IPlayer.ScaleMode

- java.lang.Object
- - java.lang.Enum<IPlayer.ScaleMode>
  - - com.aliyun.player.IPlayer.ScaleMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IPlayer.ScaleMode>
  Enclosing interface:
    IPlayer

      public static enum IPlayer.ScaleMode
      extends java.lang.Enum<IPlayer.ScaleMode>

  Zoom modes

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SCALE_ASPECT_FILL` Fill to fit.
    `SCALE_ASPECT_FIT` Auto zoom to fit.
    `SCALE_TO_FILL` Stretch to fit.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()` Query the value of the specified parameter.
    `static IPlayer.ScaleMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IPlayer.ScaleMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SCALE_ASPECT_FIT

          public static final IPlayer.ScaleMode SCALE_ASPECT_FIT

      Auto zoom to fit.

    - #### SCALE_ASPECT_FILL

          public static final IPlayer.ScaleMode SCALE_ASPECT_FILL

      Fill to fit.

    - #### SCALE_TO_FILL

          public static final IPlayer.ScaleMode SCALE_TO_FILL

      Stretch to fit.

  - ### Method Detail

    - #### values

          public static IPlayer.ScaleMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IPlayer.ScaleMode c : IPlayer.ScaleMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IPlayer.ScaleMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Query the value of the specified parameter.
      Returns:
        The returned value.